<!DOCTYPE html>
<html lang="de">
    <head>

        <title>
        NiceStimmungspegel
        </title>
        <link href="@routes.Assets.at("images/Pegel_B1.jpg")" rel ="shortcut icon"/>
        <script>
        <
        meta;
        charset = "utf-8" >
                < meta;
        name = "viewport";
        content = "width=device-width, initial-scale=1.0" >
                < meta;
        name = "description";
        content = "Creative - Bootstrap 3 Responsive Admin Template" >
                < meta;
        name = "author";
        content = "GeeksLabs" >
                < meta;
        name = "keyword";
        content = "Creative, Dashboard, Admin, Template, Theme, Bootstrap, Responsive, Retina, Minimal" >
                < script;
        src = "@routes.Assets.at("images/user.jpg")";
        rel = "shortcut icon" ></script>

        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
        <meta charset="utf-8">
            <!-- für geolocation bei googlemaps-->


        <script src="@routes.Assets.at("javascripts/jquery-1.9.0.min.js")" type="text/javascript"></script>

        <script src="@routes.Assets.at("javascripts/jquery.min.js")"></script>

            <!-- Bootstrap CSS -->
        <link href ="@routes.Assets.at("stylesheets/bootstrap.min.css")" rel="stylesheet"/>
            <!-- bootstrap theme -->
        <link href ="@routes.Assets.at("stylesheets/bootstrap-theme.css")" rel="stylesheet"/>

            <!--external css-->
            <!-- font icon -->
        <link href ="@routes.Assets.at("stylesheets/elegant-icons-style.css")" rel="stylesheet" />
        <link href ="@routes.Assets.at("stylesheets/font-awesome.min.css")" rel="stylesheet" />
            <!-- full calendar css-->
        <link href="assets/fullcalendar/fullcalendar/bootstrap-fullcalendar.css" rel="stylesheet" />
        <link href="assets/fullcalendar/fullcalendar/fullcalendar.css" rel="stylesheet" />
            <!-- easy pie chart-->
        <link href="assets/jquery-easy-pie-chart/jquery.easy-pie-chart.css" rel="stylesheet" type="text/css" media="screen"/>
            <!-- owl carousel -->
        <link href ="@routes.Assets.at("owl.carousel.css")" type="text/css" rel="stylesheet"/>
        <link href ="@routes.Assets.at("jquery-jvectormap-1.2.2.css")" rel="stylesheet"/>
            <!-- Custom styles -->
        <link href ="@routes.Assets.at("stylesheets/fullcalendar.css")" rel="stylesheet"/>
        <link href ="@routes.Assets.at("stylesheets/widgets.css")" rel="stylesheet"/>
        <link href ="@routes.Assets.at("stylesheets/style.css")" rel="stylesheet"/>
        <link href ="@routes.Assets.at("stylesheets/style-responsive.css")" rel="stylesheet"/>
        <link href ="@routes.Assets.at("stylesheets/xcharts.min.css")" rel=" stylesheet"/>
        <link href ="@routes.Assets.at("stylesheets/jquery-ui-1.10.4.min.css")" rel="stylesheet"/>
            <!-- =======================================================
Theme Name: NiceAdmin
Theme URL: https://bootstrapmade.com/nice-admin-bootstrap-admin-html-template/
Author: BootstrapMade
Author URL: https://bootstrapmade.com

für google maps
======================================================= -->

        <style type="text/css">
    ul { list-style: none; }
    #recordingslist audio { display: block; margin-bottom: 10px; }
  </style>
    </head>


    <body>
        <div>
            <img src="@routes.Assets.at("images/wallpaperparty.jpeg")" id="bild-weg" >
            <div class="col-md-6 portlets" id="hinzupos">

                <div class="panel panel-default">

                    <div class="panel-heading">

                        <div class="pull-left">Location Hinzufügen</div>
                        <div class="widget-icons pull-right">
                            <a href="http://localhost:9000/" class="wclose"><i class="fa fa-times"></i></a>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="panel-body">
                        <div class="padd">

                            <div class="form quick-post">
                                    <!-- Edit profile form (not working)-->
                                <form class="form-horizontal">
                                        <!-- Title -->
                                    <div class="form-group">
                                        <label class="control-label col-lg-2">Kategorie</label>
                                        <div class="col-lg-10">
                                            <select class="form-control">
                                                <option value="">- wähle Kategorie -</option>
                                                <option value="1">Club</option>
                                                <option value="2">Restaurant</option>
                                                <option value="3">Bar</option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="control-label col-lg-2">Location</label>
                                        <div class="col-lg-10">
                                            <select class="form-control">
                                                <option value="">- wähle Location -</option>
                                                <option value="1">Butan</option>
                                                <option value="2">Kitchen Club</option>
                                                <option value="3">Apollo21</option>
                                            </select>
                                        </div>
                                    </div>

                                        <!-- Tags -->
                                    <div class="form-group">
                                        <label class="control-label col-lg-2" for="tags">Bierpreis</label>
                                        <div class="col-lg-10">
                                            <input type="text" class="form-control" id="tags">
                                        </div>
                                    </div>

                                        <!-- Platzhalter für den Audioschnippsel -->
                                    <div class="form-group">
                                        <label class="control-label col-lg-2" for="tags">
                                            <i class="fa fa-microphone" aria-hidden="true"></i>

                                        </label>
                                        <div class="col-lg-10">
                                            <button onclick="startRecording(this);">rec</button>
                                            <button onclick="startRecording(this);">rec stop</button>
                                            <ul id="recordingslist">
                                                <li>
                                                    <audio controls src="blob:null/7190ce99-512b-4544-98c8-7da2b10588e8"></audio>
                                                    <a href="blob:null/7190ce99-512b-4544-98c8-7da2b10588e8" download="2017-05-03T18:28:51.069Z.wav"></a>
                                                </li>
                                            </ul>
                                            <script>
                                                    (function(window){

                                                var WORKER_PATH = 'recorderWorker.js';
                                                var Recorder = function(source, cfg){
                                                    var config = cfg || {};
                                                    var bufferLen = config.bufferLen || 4096;
                                                    this.context = source.context;
                                                    this.node = this.context.createJavaScriptNode(bufferLen, 2, 2);
                                                    var worker = new Worker(config.workerPath || WORKER_PATH);
                                                    worker.postMessage({
                                                        command: 'init',
                                                        config: {
                                                            sampleRate: this.context.sampleRate
                                                        }
                                                    });
                                                    var recording = false,
                                                            currCallback;

                                                    this.node.onaudioprocess = function(e){
                                                        if (!recording) return;
                                                        worker.postMessage({
                                                            command: 'record',
                                                            buffer: [
                                                                e.inputBuffer.getChannelData(0),
                                                                e.inputBuffer.getChannelData(1)
                                                            ]
                                                        });
                                                    }

                                                    this.configure = function(cfg){
                                                        for (var prop in cfg){
                                                            if (cfg.hasOwnProperty(prop)){
                                                                config[prop] = cfg[prop];
                                                            }
                                                        }
                                                    }

                                                    this.record = function(){

                                                        recording = true;
                                                    }

                                                    this.stop = function(){

                                                        recording = false;
                                                    }

                                                    this.clear = function(){
                                                        worker.postMessage({ command: 'clear' });
                                                    }

                                                    this.getBuffer = function(cb) {
                                                        currCallback = cb || config.callback;
                                                        worker.postMessage({ command: 'getBuffer' })
                                                    }

                                                    this.exportWAV = function(cb, type){
                                                        currCallback = cb || config.callback;
                                                        type = type || config.type || 'audio/wav';
                                                        if (!currCallback) throw new Error('Callback not set');
                                                        worker.postMessage({
                                                            command: 'exportWAV',
                                                            type: type
                                                        });
                                                    }

                                                    worker.onmessage = function(e){
                                                        var blob = e.data;
                                                        currCallback(blob);
                                                    }

                                                    source.connect(this.node);
                                                    this.node.connect(this.context.destination);    //this should not be necessary
                                                };

                                                Recorder.forceDownload = function(blob, filename){
                                                    var url = (window.URL || window.webkitURL).createObjectURL(blob);
                                                    var link = window.document.createElement('a');
                                                    link.href = url;
                                                    link.download = filename || 'output.wav';
                                                    var click = document.createEvent("Event");
                                                    click.initEvent("click", true, true);
                                                    link.dispatchEvent(click);
                                                }

                                                window.Recorder = Recorder;

                                            })(window);

                                            //ADDITIONAL JS recorderWorker.js
                                            var recLength = 0,
                                                    recBuffersL = [],
                                                    recBuffersR = [],
                                                    sampleRate;
                                            this.onmessage = function(e){
                                                switch(e.data.command){
                                                    case 'init':
                                                        init(e.data.config);
                                                        break;
                                                    case 'record':
                                                        record(e.data.buffer);
                                                        break;
                                                    case 'exportWAV':
                                                        exportWAV(e.data.type);
                                                        break;
                                                    case 'getBuffer':
                                                        getBuffer();
                                                        break;
                                                    case 'clear':
                                                        clear();
                                                        break;
                                                }
                                            };

                                            function init(config){
                                                sampleRate = config.sampleRate;
                                            }

                                            function record(inputBuffer){

                                                recBuffersL.push(inputBuffer[0]);
                                                recBuffersR.push(inputBuffer[1]);
                                                recLength += inputBuffer[0].length;
                                            }

                                            function exportWAV(type){
                                                var bufferL = mergeBuffers(recBuffersL, recLength);
                                                var bufferR = mergeBuffers(recBuffersR, recLength);
                                                var interleaved = interleave(bufferL, bufferR);
                                                var dataview = encodeWAV(interleaved);
                                                var audioBlob = new Blob([dataview], { type: type });

                                                this.postMessage(audioBlob);
                                            }

                                            function getBuffer() {
                                                var buffers = [];
                                                buffers.push( mergeBuffers(recBuffersL, recLength) );
                                                buffers.push( mergeBuffers(recBuffersR, recLength) );
                                                this.postMessage(buffers);
                                            }

                                            function clear(){
                                                recLength = 0;
                                                recBuffersL = [];
                                                recBuffersR = [];
                                            }

                                            function mergeBuffers(recBuffers, recLength){
                                                var result = new Float32Array(recLength);
                                                var offset = 0;
                                                for (var i = 0; i < recBuffers.length; i++){
                                                    result.set(recBuffers[i], offset);
                                                    offset += recBuffers[i].length;
                                                }
                                                return result;
                                            }

                                            function interleave(inputL, inputR){
                                                var length = inputL.length + inputR.length;
                                                var result = new Float32Array(length);

                                                var index = 0,
                                                        inputIndex = 0;

                                                while (index < length){
                                                    result[index++] = inputL[inputIndex];
                                                    result[index++] = inputR[inputIndex];
                                                    inputIndex++;
                                                }
                                                return result;
                                            }

                                            function floatTo16BitPCM(output, offset, input){
                                                for (var i = 0; i < input.length; i++, offset+=2){
                                                    var s = Math.max(-1, Math.min(1, input[i]));
                                                    output.setInt16(offset, s < 0 ? s * 0x8000 : s * 0x7FFF, true);
                                                }
                                            }

                                            function writeString(view, offset, string){
                                                for (var i = 0; i < string.length; i++){
                                                    view.setUint8(offset + i, string.charCodeAt(i));
                                                }
                                            }

                                            function encodeWAV(samples){
                                                var buffer = new ArrayBuffer(44 + samples.length * 2);
                                                var view = new DataView(buffer);

                                                /* RIFF identifier */
                                                writeString(view, 0, 'RIFF');
                                                /* file length */
                                                view.setUint32(4, 32 + samples.length * 2, true);
                                                /* RIFF type */
                                                writeString(view, 8, 'WAVE');
                                                /* format chunk identifier */
                                                writeString(view, 12, 'fmt ');
                                                /* format chunk length */
                                                view.setUint32(16, 16, true);
                                                /* sample format (raw) */
                                                view.setUint16(20, 1, true);
                                                /* channel count */
                                                view.setUint16(22, 2, true);
                                                /* sample rate */
                                                view.setUint32(24, sampleRate, true);
                                                /* byte rate (sample rate * block align) */
                                                view.setUint32(28, sampleRate * 4, true);
                                                /* block align (channel count * bytes per sample) */
                                                view.setUint16(32, 4, true);
                                                /* bits per sample */
                                                view.setUint16(34, 16, true);
                                                /* data chunk identifier */
                                                writeString(view, 36, 'data');
                                                /* data chunk length */
                                                view.setUint32(40, samples.length * 2, true);

                                                floatTo16BitPCM(view, 44, samples);

                                                return view;
                                            }

    		</script>
                                            <script>"@routes.Assets.at("javascripts/recorder.js")"</script>
                                        </div>
                                    </div>

                                        <!-- Buttons -->
                                    <div class="form-group">
                                            <!-- Buttons -->
                                        <div class="col-lg-offset-2 col-lg-9">
                                            <button type="submit" class="btn btn-primary">Hinzufügen</button>
                                            <a href="http://localhost:9000/">
                                                <button type="button" class="btn btn-default">Abbrechen</button>
                                            </a>
                                        </div>
                                    </div>
                                </form>
                            </div>

                        </div>
                    </div>


                    <script src="@routes.Assets.at("javascripts/jquery.js")"></script>
                    <script src="@routes.Assets.at("javascripts/jquery-ui-1.10.4.min.js")"></script>
                    <script src="@routes.Assets.at("javascripts/jquery-1.8.3.min.js")"></script>
                    <script type="text/javascript" src="@routes.Assets.at("javascripts/jquery-ui-1.9.2.custom.min.js")"></script>
                        <!-- bootstrap -->
                    <script src="@routes.Assets.at("javascripts/bootstrap.min.js")"></script>
                        <!-- nice scroll -->
                    <script src="@routes.Assets.at("javascripts/jquery.scrollTo.min.js")"></script>
                    <script src="@routes.Assets.at("javascripts/jquery.nicescroll.js")" type="text/javascript"></script>
                        <!-- charts scripts -->
                    <script src="@routes.Assets.at("javascripts/jquery-knob/js/jquery.knob.js")"></script>
                    <script src="@routes.Assets.at("javascripts/jquery.sparkline.js")" type="text/javascript"></script>
                    <script src="@routes.Assets.at("javascripts/jquery-easy-pie-chart/jquery.easy-pie-chart.js")"></script>
                    <script src="@routes.Assets.at("javascripts/owl.carousel.js")" ></script>
                        <!-- jQuery full calendar -->
                        <
                    <script src="@routes.Assets.at("javascripts/fullcalendar.min.js")"></script>
                        <!-- Full Google Calendar - Calendar -->
                    <script src="@routes.Assets.at("javascripts/fullcalendar/fullcalendar/fullcalendar.js")"></script>
                        <!--script for this page only-->
                    <script src="@routes.Assets.at("javascripts/calendar-custom.js")"></script>
                    <script src="@routes.Assets.at("javascripts/jquery.rateit.min.js")"></script>
                        <!-- custom select -->
                    <script src="@routes.Assets.at("javascripts/jquery.customSelect.min.js")" ></script>
                    <script src="@routes.Assets.at("javascripts/chart-master/Chart.js")"></script>

                        <!--custome script for all page-->
                    <script src="@routes.Assets.at("javascripts/scripts.js")"></script>
                        <!-- custom script for this page-->
                    <script src="@routes.Assets.at("javascripts/sparkline-chart.js")"></script>
                    <script src="@routes.Assets.at("javascripts/easy-pie-chart.js")"></script>
                    <script src="@routes.Assets.at("javascripts/jquery-jvectormap-1.2.2.min.js")"></script>
                    <script src="@routes.Assets.at("javascripts/jquery-jvectormap-world-mill-en.js")"></script>
                    <script src="@routes.Assets.at("javascripts/xcharts.min.js")"></script>
                    <script src="@routes.Assets.at("javascripts/jquery.autosize.min.js")"></script>
                    <script src="@routes.Assets.at("javascripts/jquery.placeholder.min.js")"></script>
                    <script src="@routes.Assets.at("javascripts/gdp-data.js")"></script>
                    <script src="@routes.Assets.at("javascripts/morris.min.js")"></script>
                    <script src="@routes.Assets.at("javascripts/sparklines.js")"></script>
                    <script src="@routes.Assets.at("javascripts/charts.js")"></script>
                    <script src="@routes.Assets.at("javascripts/jquery.slimscroll.min.js")"></script>
    </body>
</html>